''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_GetVersion Lib "tvctrl.dll" () As Integer
'  Purpose:    Get the version of this Dll.
'  Parameter:  none.
'  Return:     MMmm, M is major number, m is minor number.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_Init Lib "tvctrl.dll" () As Integer
'  Purpose:    Initialize TVCTRL.DLL.
'  Parameter:  none.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_Exit Lib "tvctrl.dll" () As Integer
'  Purpose:    Terminate TVCTRL.DLL.
'  Parameter:  none.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_GetGPIOData Lib "tvctrl.dll" () As Integer
'  Purpose:    Get the GPIO setting.
'  Parameter:  none.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetVideoSource Lib "tvctrl.dll" (ByVal nSource As Integer) As Integer
''  Purpose:    Set the audio and video source.
''  Parameter:  nSource:    0 to 2, 0 is AV, 1 is TV, 2 is SVHS.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetVideoStandard Lib "tvctrl.dll" (ByVal nStandard As Integer) As Integer
''  Purpose:    Set the video standard of the current AV source.
''  Parameter:  nStandard:  0 to 2, 0 is NTSC, 1 is PAL, 2 is SECAM for
''              SAA7110 decoder, PAL M or PAL N for SAA7111 decoder.
''              To select between PAL M and PAL N, use the "Configuration"
''              applet to choose the desired standard.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetBrightness Lib "tvctrl.dll" (ByVal nBrightness As Integer) As Integer
''  Purpose:    Set the video brightness of the current AV source.
''  Parameter:  nBrightness:    0 to 100, 0 is minimum.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetContrast Lib "tvctrl.dll" (ByVal nContrast As Integer) As Integer
''  Purpose:    Set the video contrast of the current AV source.
''  Parameter:  nContrast:  0 to 100, 0 is minimum.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetHue Lib "tvctrl.dll" (ByVal nHue As Integer) As Integer
''  Purpose:    Set the video hue of the current AV source.
''  Parameter:  nHue:   0 to 100, 0 is minimum.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetSaturation Lib "tvctrl.dll" (ByVal nSaturation As Integer) As Integer
''  Purpose:    Set the video saturation of the current AV source.
''  Parameter:  nSaturation:    0 to 100, 0 is minimum.
''  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetTVFrequency Lib "tvctrl.dll" (ByVal fFrequency As Single) As Integer
'  Purpose:    Tune to desired TV station.
'  Parameter:  fFrequency: TV station frequency.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_CheckVideoSignal Lib "tvctrl.dll" () As Integer
'  Purpose:    Determine if the current video source has any input. Usually
'              used with TV station scanning function to determine if there
'              is broadcast in the current frequency.
'  Parameter:  none.
'  Return:     1 if valid, 0 if not
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetVolume Lib "tvctrl.dll" (ByVal nVolume As Integer) As Integer
'  Purpose:    Set the audio volume of the current AV source.
'  Parameter:  nVolume:    0 to 63, 0 is minimum.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetBalance Lib "tvctrl.dll" (ByVal nBalance As Integer) As Integer
'  Purpose:    Set the balance of audio of the current AV source.
'  Parameter:  -20 to 20, -20 is left most, 0 is both side balanced.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetBass Lib "tvctrl.dll" (ByVal nBass As Integer) As Integer
'  Purpose:    Set the audio bass of the current AV source.
'  Parameter:  0 to 15, 0 is minimum.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetTreble Lib "tvctrl.dll" (ByVal nTreble As Integer) As Integer
'  Purpose:    Set the audio treble of the current AV source.
'  Parameter:  0 to 15, 0 is minimum.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetStereo Lib "tvctrl.dll" (ByVal bStereo As Integer) As Integer
'  Purpose:    Toggle the current AV source's audio between stereo or not.
'  Parameter:  1: Setero, 0: Mono.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Declare Function TVCtrl_SetMute Lib "tvctrl.dll" (ByVal bMute As Integer) As Integer
'  Purpose:    Mute the current AV source's audio or not.
'  Parameter:  1: Mute, 0: Unmute.
'  Return:     1 if successful, 0 if fail.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Global nChannel%
Global nVolume%
Global bMute%

Global NTSC_IF As Single
Global NTSC_USA_CABLE(99) As Single

Sub InitChannelTable ()
    NTSC_IF = 45.75
    
    NTSC_USA_CABLE(1) = 73.25
    NTSC_USA_CABLE(2) = 55.25
    NTSC_USA_CABLE(3) = 61.25
    NTSC_USA_CABLE(4) = 67.25
    NTSC_USA_CABLE(5) = 77.25
    NTSC_USA_CABLE(6) = 83.25
    NTSC_USA_CABLE(7) = 175.25
    NTSC_USA_CABLE(8) = 181.25
    NTSC_USA_CABLE(9) = 187.25
    NTSC_USA_CABLE(10) = 193.25
    NTSC_USA_CABLE(11) = 199.25
    NTSC_USA_CABLE(12) = 205.25
    NTSC_USA_CABLE(13) = 211.25
    NTSC_USA_CABLE(14) = 121.25
    NTSC_USA_CABLE(15) = 127.25
    NTSC_USA_CABLE(16) = 133.25
    NTSC_USA_CABLE(17) = 139.25
    NTSC_USA_CABLE(18) = 145.25
    NTSC_USA_CABLE(19) = 151.25
    NTSC_USA_CABLE(20) = 157.25
    NTSC_USA_CABLE(21) = 163.25
    NTSC_USA_CABLE(22) = 169.25
    NTSC_USA_CABLE(23) = 217.25
    NTSC_USA_CABLE(24) = 223.25
    NTSC_USA_CABLE(25) = 229.25
    NTSC_USA_CABLE(26) = 235.25
    NTSC_USA_CABLE(27) = 241.25
    NTSC_USA_CABLE(28) = 247.25
    NTSC_USA_CABLE(29) = 253.25
    NTSC_USA_CABLE(30) = 259.25
    NTSC_USA_CABLE(31) = 265.25
    NTSC_USA_CABLE(32) = 271.25
    NTSC_USA_CABLE(33) = 277.25
    NTSC_USA_CABLE(34) = 283.25
    NTSC_USA_CABLE(35) = 289.25
    NTSC_USA_CABLE(36) = 295.25
    NTSC_USA_CABLE(37) = 301.25
    NTSC_USA_CABLE(38) = 307.25
    NTSC_USA_CABLE(39) = 313.25
    NTSC_USA_CABLE(40) = 319.25
    NTSC_USA_CABLE(41) = 325.25
    NTSC_USA_CABLE(42) = 331.25
    NTSC_USA_CABLE(43) = 337.25
    NTSC_USA_CABLE(44) = 343.25
    NTSC_USA_CABLE(45) = 349.25
    NTSC_USA_CABLE(46) = 355.25
    NTSC_USA_CABLE(47) = 361.25
    NTSC_USA_CABLE(48) = 367.25
    NTSC_USA_CABLE(49) = 373.25
    NTSC_USA_CABLE(50) = 379.25
    NTSC_USA_CABLE(51) = 385.25
    NTSC_USA_CABLE(52) = 391.25
    NTSC_USA_CABLE(53) = 397.25
    NTSC_USA_CABLE(54) = 403.25
    NTSC_USA_CABLE(55) = 409.25
    NTSC_USA_CABLE(56) = 415.25
    NTSC_USA_CABLE(57) = 421.25
    NTSC_USA_CABLE(58) = 427.25
    NTSC_USA_CABLE(59) = 433.25
    NTSC_USA_CABLE(60) = 439.25
    NTSC_USA_CABLE(61) = 445.25
    NTSC_USA_CABLE(62) = 451.25
    NTSC_USA_CABLE(63) = 457.25
    NTSC_USA_CABLE(64) = 463.25
    NTSC_USA_CABLE(65) = 469.25
    NTSC_USA_CABLE(66) = 475.25
    NTSC_USA_CABLE(67) = 481.25
    NTSC_USA_CABLE(68) = 487.25
    NTSC_USA_CABLE(69) = 493.25
    NTSC_USA_CABLE(70) = 499.25
    NTSC_USA_CABLE(71) = 505.25
    NTSC_USA_CABLE(72) = 511.25
    NTSC_USA_CABLE(73) = 517.25
    NTSC_USA_CABLE(74) = 523.25
    NTSC_USA_CABLE(75) = 529.25
    NTSC_USA_CABLE(76) = 535.25
    NTSC_USA_CABLE(77) = 541.25
    NTSC_USA_CABLE(78) = 547.25
    NTSC_USA_CABLE(79) = 553.25
    NTSC_USA_CABLE(80) = 559.25
    NTSC_USA_CABLE(81) = 565.25
    NTSC_USA_CABLE(82) = 571.25
    NTSC_USA_CABLE(83) = 577.25
    NTSC_USA_CABLE(84) = 583.25
    NTSC_USA_CABLE(85) = 589.25
    NTSC_USA_CABLE(86) = 595.25
    NTSC_USA_CABLE(87) = 601.25
    NTSC_USA_CABLE(88) = 607.25
    NTSC_USA_CABLE(89) = 613.25
    NTSC_USA_CABLE(90) = 619.25
    NTSC_USA_CABLE(91) = 625.25
    NTSC_USA_CABLE(92) = 631.25
    NTSC_USA_CABLE(93) = 637.25
    NTSC_USA_CABLE(94) = 643.25
    NTSC_USA_CABLE(95) = 91.25
    NTSC_USA_CABLE(96) = 97.25
    NTSC_USA_CABLE(97) = 103.25
    NTSC_USA_CABLE(98) = 109.25
    NTSC_USA_CABLE(99) = 115.25
End Sub

