VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form frmMain 
   Caption         =   "VB 5.0 Capture Demo Program"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   4680
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Main"
   ScaleHeight     =   213
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   312
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog dlgCommonDialog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
      DefaultExt      =   "avi"
      DialogTitle     =   "Set Capture File"
      FileName        =   "CAPTURE.AVI"
      Filter          =   "Microsoft AVI|*.avi|All Files (*.*)|*.*"
      Flags           =   6
      InitDir         =   "."
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuSetCaptureFile 
         Caption         =   "&Set Capture File..."
      End
      Begin VB.Menu mnuFileSeperator 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "&Exit"
      End
   End
   Begin VB.Menu mnuOption 
      Caption         =   "&Option"
      Begin VB.Menu mnuVideoSource 
         Caption         =   "Video &Source..."
      End
      Begin VB.Menu mnuVideoFormat 
         Caption         =   "Video &Format..."
      End
      Begin VB.Menu mnuOptionSeperator 
         Caption         =   "-"
         Index           =   2
      End
      Begin VB.Menu mnuCompression 
         Caption         =   "&Compression..."
      End
      Begin VB.Menu mnuOptionSeperator2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTVSetting 
         Caption         =   "&TV Setting..."
      End
   End
   Begin VB.Menu mnuCapture 
      Caption         =   "&Capture"
      Begin VB.Menu mnuFullMotionCapture 
         Caption         =   "Full &Motion Capture"
      End
      Begin VB.Menu mnuCaptureToClipboard 
         Caption         =   "Capture to &Clipboard"
      End
      Begin VB.Menu mnuCaptureSetting 
         Caption         =   "Capture &Setting..."
      End
   End
   Begin VB.Menu mnuPlay 
      Caption         =   "&Play!"
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuAbout 
         Caption         =   "&About..."
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const SWP_NOZORDER = &H4

Private Sub Form_Load()
    Dim Ret As Integer
    Ret = TVCtrl32_Init()
    
    hCapture = capCreateCaptureWindow(vbNullString, WS_CHILD Or WS_VISIBLE, 0, 0, 320, 240, Me.hwnd, 0)
    
    'Make sure you are connecting to the right driver index!
    Ret = SendMessage(hCapture, WM_CAP_DRIVER_CONNECT, 0, 0)
    Ret = SendMessage(hCapture, WM_CAP_SET_OVERLAY, 1, 0)
    Ret = SendMessage(hCapture, WM_CAP_SET_SCALE, 1, 0)

    Ret = SendMessageU(hCapture, WM_CAP_GET_SEQUENCE_SETUP, Len(udtCaptureParms), udtCaptureParms)
    
    udtCaptureParms.dwRequestMicroSecPerFrame = 1000000 / 15
    udtCaptureParms.fCaptureAudio = 0
    udtCaptureParms.fLimitEnabled = 1
    udtCaptureParms.wTimeLimit = 5
    
    Ret = SendMessageU(hCapture, WM_CAP_SET_SEQUENCE_SETUP, Len(udtCaptureParms), udtCaptureParms)
    
    InitChannelTable

    nChannel = 4
    nVolume = 15
    bMute = 0

    Ret = TVCtrl32_SetTVFrequency(NTSC_USA_CABLE(nChannel) + NTSC_IF)
    Ret = TVCtrl32_SetVolume(nVolume)
    Ret = TVCtrl32_SetMute(bMute)
End Sub

Private Sub Form_Resize()
    Dim Ret As Integer
    Ret = SetWindowPos(hCapture, 0, 0, 0, Me.ScaleWidth, Me.ScaleHeight, SWP_NOZORDER)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_DRIVER_DISCONNECT, 0, 0)
    
    Ret = TVCtrl32_SetMute(1)
    Ret = TVCtrl32_Exit()
End Sub

Private Sub mnuAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Private Sub mnuCaptureSetting_Click()
    frmCaptureSetting.edFrameRate.Text = CStr(CLng(1000000 / udtCaptureParms.dwRequestMicroSecPerFrame + 0.5))
    frmCaptureSetting.edCaptureTime.Text = CStr(udtCaptureParms.wTimeLimit)
    
    frmCaptureSetting.Show vbModal, Me
End Sub

Private Sub mnuCaptureToClipboard_Click()
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_EDIT_COPY, 0, 0)
End Sub

Private Sub mnuCompression_Click()
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_DLG_VIDEOCOMPRESSION, 0, 0)
End Sub

Private Sub mnuExit_Click()
    Unload Me
End Sub

Private Sub mnuFullMotionCapture_Click()
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_SEQUENCE, 0, 0)
End Sub

Private Sub mnuPlay_Click()
    Dim szFileName As String * 255
    
    Dim Ret As Integer
    Ret = SendMessageS(hCapture, WM_CAP_FILE_GET_CAPTURE_FILE, Len(szFileName) + 1, szFileName)
    
    mciExecute ("Play " & szFileName)
End Sub

Private Sub mnuSetCaptureFile_Click()
    dlgCommonDialog.ShowSave
    
    Dim Ret As Integer
    Ret = SendMessageS(hCapture, WM_CAP_FILE_SET_CAPTURE_FILE, 0, dlgCommonDialog.filename)
End Sub

Private Sub mnuTVSetting_Click()
    frmTVSetting.Show vbModal, Me
End Sub

Private Sub mnuVideoFormat_Click()
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_DLG_VIDEOFORMAT, 0, 0)
End Sub

Private Sub mnuVideoSource_Click()
    Dim Ret As Integer
    Ret = SendMessage(hCapture, WM_CAP_DLG_VIDEOSOURCE, 0, 0)
End Sub
