#ifndef _TVCtrl32_H_
#define _TVCtrl32_H_

#ifdef __cplusplus
extern "C" {
#endif

#define VS_VERSION	0201

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_GetVersion (void);
//  Purpose:	Get the version of this Dll.
//  Parameter:	none.
//  Return:		MMmm, M is major number, m is minor number.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_Init (void);
//  Purpose:	Initialize TVCTRL.DLL.
//  Parameter:	none.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_Exit (void);
//  Purpose:	Terminate TVCTRL.DLL.
//  Parameter:	none.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
WORD WINAPI TVCtrl32_GetGPIOData (void);
//  Purpose:	Get the GPIO setting.
//  Parameter:	none.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetVideoSource (int nSource);
//  Purpose:	Set the audio and video source. 
//  Parameter:  nSource:        0 to 3, 0 is AV1, 1 is AV2, 2 is AV3, 3 is AV4.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetVideoStandard (int nStandard);
//  Purpose:	Set the video standard of the current AV source.
//  Parameter:	nStandard:	0 to 4, 0 is NTSC, 1 is PAL, 2 is SECAM,
//				3 is PAL M, 4 is PAL N.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetBrightness (int nBrightness);
//  Purpose:	Set the video brightness of the current AV source.
//  Parameter:	nBrightness:	0 to 100, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetContrast (int nContrast);
//  Purpose:	Set the video contrast of the current AV source.
//  Parameter:	nContrast:	0 to 100, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetHue (int nHue);
//  Purpose:	Set the video hue of the current AV source.
//  Parameter:	nHue:	0 to 100, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetSaturation (int nSaturation);
//  Purpose:	Set the video saturation of the current AV source.
//  Parameter:	nSaturation:	0 to 100, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetTVFrequency (float fFrequency);
//  Purpose:	Tune to desired TV station.
//  Parameter:	fFrequency:	TV station frequency.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_CheckVideoSignal (void);
//  Purpose:	Determine if the current video source has any input. Usually
//				used with TV station scanning function to determine if there
//				is broadcast in the current frequency.
//  Parameter:	none.
//  Return:		1 if valid, 0 if not
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetVolume (int nVolume);
//  Purpose:	Set the audio volume of the current AV source.
//  Parameter:	nVolume:	0 to 63, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetBalance (int nBalance);
//  Purpose:	Set the balance of audio of the current AV source.
//  Parameter:	-20 to 20, -20 is left most, 0 is both side balanced.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetBass (int nBass);
//  Purpose:	Set the audio bass of the current AV source.
//  Parameter:	0 to 15, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetTreble (int nTreble);
//  Purpose:	Set the audio treble of the current AV source.
//  Parameter:	0 to 15, 0 is minimum.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetStereo (int bStereo);
//  Purpose:	Toggle the current AV source's audio between stereo or not.
//  Parameter:	1: Setero, 0: Mono.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetMute (int bMute);
//  Purpose:	Mute the current AV source's audio or not.
//  Parameter:	1: Mute, 0: Unmute.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_SetCropRect (RECT rc);
//  Purpose:	Set the source cropping window.
//  Parameter:	Client RECT.
//  Return:		1 if successful, 0 if fail.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
int WINAPI TVCtrl32_GetCropRect (LPRECT rcEven, LPRECT rcOdd);
//  Purpose:	Get the source window cropping value.
//  Parameter:	Client RECT.
//  Return:		1 if successful, 0 if fail.
///////////////////////////
#ifdef __cplusplus
}
#endif

#endif
