// tvsdkvw.h : interface of the CTvsdkView class
//
/////////////////////////////////////////////////////////////////////////////

#include <mmsystem.h>
#include <vfw.h>

class CTvsdkView : public CView
{
protected: // create from serialization only
	CTvsdkView();
	DECLARE_DYNCREATE(CTvsdkView)

// Attributes
public:
	CTvsdkDoc* GetDocument();
	HWND m_hCapture;

	static LRESULT WINAPI FrameCallbackProc (HWND hWnd, LPVIDEOHDR lpVideoHdr);

private:
	CAPTUREPARMS m_CaptureParms;

	UINT m_nChannel;
	UINT m_nVolume;
	BOOL m_bMute;

	WORD m_wHDelay;
	WORD m_wHActive;
	WORD m_wVDelay;
	WORD m_wVActive;
	
// Operations
public:

// Implementation
public:
	virtual ~CTvsdkView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTvsdkView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSetcapturefile();
	afx_msg void OnVideosource();
	afx_msg void OnVideoformat();
	afx_msg void OnCompression();
	afx_msg void OnTvsetting();
	afx_msg void OnFullmotion();
	afx_msg void OnClipboard();
	afx_msg void OnCapturesetting();
	afx_msg void OnVideosetting();
	afx_msg void OnSingleframe();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in tvsdkvw.cpp
inline CTvsdkDoc* CTvsdkView::GetDocument()
   { return (CTvsdkDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
