// tvsettin.cpp : implementation file
//

#include "stdafx.h"
#include "tvsdk.h"
#include "tvsettin.h"

#include "afxwin.h"
#include "tvctrl32.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

#define szChannel	"CHANNEL: "

/////////////////////////////////////////////////////////////////////////////
// CTVSetting dialog


CTVSetting::CTVSetting(CWnd* pParent /*=NULL*/)
	: CDialog(CTVSetting::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTVSetting)
	m_bMute = FALSE;
	//}}AFX_DATA_INIT
	m_nTmpKey = 0;
}

void CTVSetting::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTVSetting)
	DDX_Check(pDX, IDC_MUTE, m_bMute);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTVSetting, CDialog)
	//{{AFX_MSG_MAP(CTVSetting)
	ON_WM_HSCROLL()
	ON_BN_CLICKED(IDC_MUTE, OnMute)
	ON_COMMAND_EX(IDC_ONE, OnKeypad)
	ON_COMMAND_EX(IDC_TWO, OnKeypad)
	ON_COMMAND_EX(IDC_THREE, OnKeypad)
	ON_COMMAND_EX(IDC_FOUR, OnKeypad)
	ON_COMMAND_EX(IDC_FIVE, OnKeypad)
	ON_COMMAND_EX(IDC_SIX, OnKeypad)
	ON_COMMAND_EX(IDC_SEVEN, OnKeypad)
	ON_COMMAND_EX(IDC_EIGHT, OnKeypad)
	ON_COMMAND_EX(IDC_NINE, OnKeypad)
	ON_COMMAND_EX(IDC_ZERO, OnKeypad)
	ON_COMMAND_EX(IDC_ENTER, OnKeypad)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CTVSetting message handlers

BOOL CTVSetting::OnInitDialog()
{
	CDialog::OnInitDialog();

	char szBuff [16];
	wsprintf (szBuff, "%d", m_nChannel);
	GetDlgItem (IDC_CHANNEL)->SetWindowText (CString (szChannel) + szBuff);

	CScrollBar* pVolume = (CScrollBar*) GetDlgItem (IDC_VOLUME);
	pVolume->SetScrollRange (0, 63);
	pVolume->SetScrollPos (m_nVolume);

	((CButton*) GetDlgItem (IDC_MUTE))->SetCheck (m_bMute);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTVSetting::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{
	int nDelta = pScrollBar->GetScrollPos ();

	switch (nSBCode)
	{
		case SB_THUMBPOSITION:
		case SB_THUMBTRACK :
			nDelta = nPos;
			break;

		case SB_LINELEFT:
			nDelta -= 1;
			break;

		case SB_LINERIGHT:
			nDelta += 1;
			break;

		case SB_PAGELEFT:
			nDelta -= 4;
			break;

		case SB_PAGERIGHT:
			nDelta += 4;
			break;

		default:
			return;
	}

	pScrollBar->SetScrollPos (nDelta);
    TVCtrl32_SetVolume (m_nVolume = nDelta);

	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

void CTVSetting::OnMute()
{
	m_bMute = !m_bMute;
    TVCtrl32_SetMute (m_bMute);
}

BOOL CTVSetting::OnKeypad (UINT nID)
{
	char buff [32];

	if (nID == IDC_ENTER)
	{
	    TVCtrl32_SetTVFrequency (NTSC_USA_CABLE [m_nTmpKey] + NTSC_USA_CABLE [0]);

		wsprintf (buff, "%d", m_nTmpKey);
		GetDlgItem (IDC_CHANNEL)->SetWindowText (CString (szChannel) + buff);

		m_nChannel = m_nTmpKey;
		m_nTmpKey = 0;
	}

	else if (m_nTmpKey * 10 + (nID - IDC_ZERO) > 99)
	{
		m_nTmpKey = 99;
		OnKeypad (IDC_ENTER);
	}

	else if (m_nTmpKey * 10 + (nID - IDC_ZERO) < 1)
	{
		m_nTmpKey = 1;
		OnKeypad (IDC_ENTER);
	}

	else
	{
		m_nTmpKey = m_nTmpKey * 10 + (nID - IDC_ZERO);

		wsprintf (buff, "%d", m_nTmpKey);
		GetDlgItem (IDC_CHANNEL)->SetWindowText (CString (szChannel) + buff);
	}
	
	return TRUE;
}
