// videoset.cpp : implementation file
//

#include "stdafx.h"
#include "tvsdk.h"
#include "videoset.h"

#include "tvctrl32.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVideoSetting dialog


CVideoSetting::CVideoSetting(CWnd* pParent /*=NULL*/)
	: CDialog(CVideoSetting::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVideoSetting)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CVideoSetting::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVideoSetting)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVideoSetting, CDialog)
	//{{AFX_MSG_MAP(CVideoSetting)
	ON_COMMAND_EX(IDC_HDELAY_LEFT, OnCropping)
	ON_COMMAND_EX(IDC_HDELAY_RIGHT, OnCropping)
	ON_COMMAND_EX(IDC_HACTIVE_NARROW, OnCropping)
	ON_COMMAND_EX(IDC_HACTIVE_WIDE, OnCropping)
	ON_COMMAND_EX(IDC_VDELAY_TOP, OnCropping)
	ON_COMMAND_EX(IDC_VDELAY_BOTTOM, OnCropping)
	ON_COMMAND_EX(IDC_VACTIVE_SHORT, OnCropping)
	ON_COMMAND_EX(IDC_VACTIVE_TALL, OnCropping)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CVideoSetting message handlers

BOOL CVideoSetting::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	TVCtrl32_SetCropRect (CRect (m_wHDelay, m_wHActive, m_wVDelay, m_wVActive));

	return TRUE;  // return TRUE  unless you set the focus to a control
}

BOOL CVideoSetting::OnCropping(UINT nID)
{
	switch (nID)
	{
		case IDC_HDELAY_LEFT:
			TVCtrl32_SetCropRect (CRect (m_wHDelay = 4, 0, 0, 0));
			break;
			
		case IDC_HDELAY_RIGHT:
			TVCtrl32_SetCropRect (CRect (m_wHDelay = -4, 0, 0, 0));
			break;
			
		case IDC_HACTIVE_NARROW:
			TVCtrl32_SetCropRect (CRect (0, 0, m_wHActive = -4, 0));
			break;
			
		case IDC_HACTIVE_WIDE:
			TVCtrl32_SetCropRect (CRect (0, 0, m_wHActive = 4, 0));
			break;
			
		case IDC_VDELAY_TOP:
			TVCtrl32_SetCropRect (CRect (0, m_wVDelay = 4, 0, 0));
			break;
			
		case IDC_VDELAY_BOTTOM:
			TVCtrl32_SetCropRect (CRect (0, m_wVDelay = -4, 0, 0));
			break;
			
		case IDC_VACTIVE_SHORT:
			TVCtrl32_SetCropRect (CRect (0, 0, 0, m_wVActive = -4));
			break;
			
		case IDC_VACTIVE_TALL:
			TVCtrl32_SetCropRect (CRect (0, 0, 0, m_wVActive = 4));
			break;
	}
	
	return TRUE;
}
